/****
 *
 * Exemplo: Especificadores de Formato Incorretos
 *
 * Seo: D.6.3
 *
 ****/

#include <stdio.h>

int main(void)
{
   int valor, teste;

   printf("\n*** Usando '%%i' ***\n");
   printf("\nDigite um inteiro: ");
   teste = scanf("%i", &valor);

   if (teste) {
      printf("\nValor lido com '%%i': %d\n", valor);
   } else {
      printf("\nNenhum valor lido\n");
   }

   printf("\n\n*** Usando '%%d' ***\n");
   printf("\nDigite um inteiro: ");
   teste = scanf("%d", &valor);

   if (teste) {
      printf("\nValor lido com '%%d': %d\n", valor);
   } else {
      printf("\nNenhum valor lido\n");
   }

   return 0;
}

/******************* Exemplo de Execuo ******************

*** Usando '%i' ***

Digite um inteiro: 0xab

Valor lido com '%i': 171


*** Usando '%d' ***

Digite um inteiro: 0xab

Valor lido com '%d': 0

**********************************************************/
