/****
 *
 * Exemplo: Uso de sizeof em vez de strlen()
 *
 * Seo: D.9.5
 *
 ****/

#include <stdio.h>
#include <string.h>

int main(void)
{
   char  *p = "bolada";
   char   s1[80] = "bolada";
   char   s2[] = "bolada";
   int    t;

     /* Resulta no nmero de bytes... */
   t = sizeof(p);  /* ...num ponteiro */
   printf("t = %d\n", t);

   t = sizeof(s1); /* ...no array s1  */
   printf("t = %d\n", t);

   t = sizeof(s2); /* ...no array s2  */
   printf("t = %d\n", t);

   t = strlen(p);
   printf("\n\nt = %d\n", t);

   t = strlen(s1);
   printf("t = %d\n", t);

   t = strlen(s2);
   printf("t = %d\n", t);

   return 0;
}

/******************* Exemplo de Execuo ******************

t = 4
t = 80
t = 7


t = 6
t = 6
t = 6

**********************************************************/
