/****
 *
 * Exemplo: Detectando Overflow
 *
 * Seo: D.11.1
 *
 ****/

#include <stdio.h>
#include <limits.h>

void ExibeSoma(int x, int y)
{
   if ((int) ((unsigned)x + (unsigned)y) < 0) {
      printf("\nHavera' overflow na soma: %d + %d\n", x, y);
   } else {
      printf("\n%d + %d: %d\n", x, y, x + y);
   }
}

int main(void)
{
   ExibeSoma(INT_MAX, 1);
   ExibeSoma(INT_MAX, -1);

   return 0;
}

/******************* Exemplo de Execuo *******************

Havera' overflow na soma: 2147483647 + 1

2147483647 + -1: 2147483646

***********************************************************/
