/****
 *
 * Exemplo: passing argument n of 'F' makes integer from
 *          pointer without a cast
 *
 * Seo: D.19.15
 *
 ****/

#include <stdio.h>

int F(int x)
{
   return x;
}

int main(void)
{
   int i = 2, j;

   j = F(&i);

   printf("\ni = %d, j = %d\n", i, j);

   return 0;
}

/****************** Exemplo de Compilao ******************

warning: passing argument 1 of 'F' makes integer from
         pointer without a cast

***********************************************************/
/******************* Exemplo de Execuo *******************

i = 2, j = 2293576

***********************************************************/
