/****
 *
 * Ttulo: Um Programa Robusto
 *
 * Autor: Ulysses de Oliveira
 *
 * Data de Criao: 16/06/2012
 * ltima modificao: 16/06/2012
 *
 * Descrio: L dados corretamente
 *
 * Entrada: Um nmero inteiro, um nmero de ponto
 *          flutuante e um caractere
 *
 * Sada: Os valores lidos escritos na tela
 *
 ****/

#include <stdio.h>    /* Entrada e sada */
#include "leitura.h"  /* LeituraFacil    */

/****
 *
 * main(): L corretamente um nmero inteiro, um nmero real
 *         e um caractere, e apresenta-os na tela.
 *
 * Parmetros: Nenhum
 *
 * Retorno: Zero
 *
 ****/
int main(void)
{
   int    i, c;
   double f;

      /* Apresenta o programa */
   printf( "\n\t>>> Este programa mostra como deve"
           "\n\t>>> ser um programa robusto.\n" );

   printf("\n\t>>> Digite um numero inteiro > ");
   i = LeInteiro();

   printf("\n>> Numero inteiro digitado: %d\n", i);

   printf("\n\t>>> Digite um numero real > ");
   f = LeReal();

   printf("\n>> Numero real digitado: %f\n", f);

   printf("\n\t>>> Digite um caractere > ");
   c = LeCaractere();

   printf("\n>> Caractere digitado: %c\n", c);

      /* Despede-se do usurio */
   printf( "\n\t>>> Obrigado por usar este programa.\n");

   return 0;
}

/******************* Exemplo de Execuo ******************

        >>> Este programa mostra como deve
        >>> ser um programa robusto.

        >>> Digite um numero inteiro > abc

        >>> O valor digitado e' invalido. Tente novamente
        > -12

>> Numero inteiro digitado: -12

        >>> Digite um numero real > x2.5

        >>> O valor digitado e' invalido. Tente novamente
        > 2.5x
        >>> 1 caractere foi descartado

>> Numero real digitado: 2.500000

        >>> Digite um caractere > xyz
        >>> 2 caracteres foram descartados

>> Caractere digitado: x

        >>> Obrigado por usar este programa.

**********************************************************/
