/****
 *
 * Ttulo: Alinhamento de Inteiros na Tela
 *
 * Autor: Ulysses de Oliveira
 *
 * Data de Criao: 22/06/2012
 * ltima modificao: 22/06/2012
 *
 * Descrio: Alinha inteiros  esquerda e 
 *            direita na tela usando os
 *            especificadores %nd e %-nd de printf().
 *
 * Entrada: No h
 *
 * Sada: Os valores inteiros alinhados  esquerda
 *        e  direita na tela
 *
 ****/

#include <stdio.h> /* Entrada e sada */

/****
 *
 * main(): Alinha inteiros  esquerda e  direita na tela
 *         usando os especificadores %nd e %-nd de printf()
 *
 * Parmetros: Nenhum
 *
 * Retorno: Zero
 *
 ****/
int main(void)
{
   int n1 = 1,
       n2 = 12,
       n3 = 123,
       n4 = 1234;

      /* Apresenta o programa */
   printf( "\n\t>>> Este programa alinha numeros inteiros "
           "na tela\n" );

      /* Alinhamento  direita */
   printf("\n%5d\n", n1);
   printf("%5d\n", n2);
   printf("%5d\n", n3);
   printf("%5d\n", n4);

      /* Alinhamento  esquerda */
   printf("\n%-5d\n", n1);
   printf("%-5d\n", n2);
   printf("%-5d\n", n3);
   printf("%-5d\n", n4);

      /* Alinhamento  direita e  esquerda */
   printf("\n%5d\t%-5d\n", n1, n1);
   printf("%5d\t%-5d\n", n2, n2);
   printf("%5d\t%-5d\n", n3, n3);
   printf("%5d\t%-5d\n", n4, n4);

   return 0;
}

/****************** Resultado do Programa *****************

        >>> Este programa alinha numeros inteiros na tela

    1
   12
  123
 1234

1
12
123
1234

    1   1
   12   12
  123   123
 1234   1234

**********************************************************/
