/****
 *
 * Ttulo: Pares ou mpares?
 *
 * Autor: Ulysses de Oliveira
 *
 * Data de Criao: 12/06/2012
 * ltima modificao: 12/06/2012
 *
 * Descrio: Escreve na tela os numeros pares e
 *            mpares entre 1 e 20 em forma de tabela
 *
 * Entrada: No h
 *
 * Sada: Uma tabela com os nmeros entre 1 e 20
 *        classificados como par ou mpar
 *
 ****/

#include <stdio.h>

/****
 *
 * main(): Escreve na tela os nmeros pares e
 *         mpares entre 1 e 20 em forma de tabela
 *
 * Parmetros: Nenhum
 *
 * Retorno: Zero
 *
 ****/
int main(void)
{
   int i;

      /* Apresenta o programa */
   printf( "\n\t>>> Este programa exibe os numeros "
           "\n\t>>> pares e impares entre 1 e 20.\n\n" );

      /* Apresenta o cabealho da tabela */
   printf("Par\tImpar\n");
   printf("===\t=====\n\n"); /* Embelezamento */

      /* Verifica se cada nmero entre 1 e 20  par */
      /* ou mpar, e apresenta-o na devida coluna   */
   for (i = 1; i <= 20; ++i) {
      if (i%2 == 0) { /* O nmero  par */
         printf(" %2d\n", i);
      } else { /* O nmero  mpar */
         printf("\t  %2d\n", i);
      }
   }

      /* Despede-se do usurio */
   printf( "\n\t>>> Obrigado por usar este programa.\n");

   return 0;
}

/****************** Resultado do Programa *****************

        >>> Este programa exibe os numeros
        >>> pares e impares entre 1 e 20.

Par     Impar
===     =====

           1
  2
           3
  4
           5
  6
           7
  8
           9
 10
          11
 12
          13
 14
          15
 16
          17
 18
          19
 20

**********************************************************/
