/****
 *
 * Exemplo: Converso implcita do tipo do parmetro
 *          real para o tipo do parmetro formal
 *
 * Seo: 5.5.2
 *
 * Observao: Este programa contm um erro grave
 *
 ****/

#include <stdio.h>

int SomaInts2(int *pa, int *pb)
{
   int soma;

   soma = *pa + *pb;

   return soma;
}

int main(void)
{
   double x = 2.5, y = 3.5, resultado;

      /* O resultado ser imprevisvel */
   resultado = SomaInts2(&x, &y);

   printf( "\n%f + %f = %f\n", x, y, resultado);

   return 0;
}

/****************** Exemplo de Compilao ******************

Clang:

Secao5_5_2_2.c:28:26: warning: incompatible pointer types
passing 'double *' to parameter of type 'int *'
   resultado = SomaInts2(&x, &y);
                         ^~
Secao5_5_2_2.c:14:20: note: passing argument to parameter
'pa' here
int SomaInts2(int *pa, int *pb)
                   ^
Secao5_5_2_2.c:28:30: warning: incompatible pointer types
passing 'double *' to parameter of type 'int *'
   resultado = SomaInts2(&x, &y);
                             ^~
Secao5_5_2_2.c:14:29: note: passing argument to parameter
'pb' here
int SomaInts2(int *pa, int *pb)
                            ^
2 warnings generated.

/****************** Resultado do programa ******************

2.500000 + 3.500000 = 0.000000

***********************************************************/
