/****
 *
 * Exemplo: Operador sizeof
 *
 * Seo: 8.5
 *
 * Observao: Correo do erro do ltimo programa
 *
 ****/

#include <stdio.h>

int main(void)
{
   int  ar[] = {1, 2, 3, 4, 5, 6, 7}, i;
   int  nElementos;

      /* Calcula o nmero de elementos do array */
   nElementos = sizeof(ar)/sizeof(ar[0]);

      /* Na avaliao da expresso i <= nElementos - 2, */
      /* i, que vale -1,  convertido em size_t, que   */
      /* um tipo sem sinal. Portanto, o valor de i      */
      /* convertido torna-se um valor muito grande sem  */
      /* sinal e o corpo do lao no  executado nunca. */
      /* A soluo  definir nElementos como int.       */
   for(i = -1; i <= nElementos - 2; i++) {
      printf("%d\t", ar[i + 1]);
   }

   printf("\n\n>>> Valor de i = %u\n", (size_t)i);

   return 0;
}

/******************* Exemplo de Execuo *******************

1       2       3       4       5       6       7

>>> Valor de i = 6

***********************************************************/
