/****
 *
 * Exemplo: Uso de const
 *
 * Seo: 7.8
 *
 ****/

#define MINHA_CONSTANTE  0

int main(void)
{
   const int varConstante = 0;
   int      *ptr1 = &varConstante; /* Advertncia */
//   int      *ptr2 = &MINHA_CONSTANTE; /* ILEGAL */

   *ptr1 = 1;

   return 0;
}

/****************** Exemplo de Compilao ******************

GCC:
===

C:\Programas\Teste.c|16|warning: initialization discards
'const' qualifier from pointer target type

Clang:
=====

Teste.c:16:14: warning: initializing 'int *' with an expression
of type 'const int *' discards qualifiers
   int      *ptr1 = &varConstante; /* Advertncia *
             ^      ~~~~~~~~~~~~~

**********************************************************/
