/****
 *
 * Exemplo: Retorno de endereo de um array que no  zumbi
 *
 * Seo: 7.9.4
 *
 ****/

#include <stdio.h>

void ExibeArrayEmTabela(const int ar[], int tamanho)
{
   int i;
   int array[10] = {0};

   printf("\nIndice\tElemento\n");

   for (i = 0; i < tamanho; ++i) {
      printf("\n  %d\t    %d", i, ar[i]);
   }
}

int *NaoRetornaZumbi(void)
{
   static int naoEhZumbi[5];
   int        i;

   for (i = 0; i < 5; ++i)
      naoEhZumbi[i] = i;

   printf("\n*** No corpo de NaoRetornaZumbi() ***\n");
   ExibeArrayEmTabela(naoEhZumbi, 5);

   return naoEhZumbi;
}

int main(void)
{
   int *ar;

   ar = NaoRetornaZumbi();

   printf("\n\n*** No corpo de main() ***\n");
   ExibeArrayEmTabela(ar, 5);

   return 0;
}

/****************** Resultado do Programa ******************

*** No corpo de NaoRetornaZumbi() ***

Indice  Elemento

  0         0
  1         1
  2         2
  3         3
  4         4

*** No corpo de main() ***

Indice  Elemento

  0         0
  1         1
  2         2
  3         3
  4         4

***********************************************************/
