/****
 *
 * Exemplo: Concatenao de Strings
 *
 * Seo: 8.5.5
 *
 ****/

#include <stdio.h>

char *ConcatenaStrings(char *destino, const char *origem)
{
      /* Guarda endereo do array apontado por 'destino' */
   char *inicioDestino = destino;

      /* Faz 'destino' apontar para o primeiro */
      /* caractere adiante de '\0'             */
   while (*destino++)
      ; /* VAZIO */

      /* Na sada do ltimo lao while, 'destino' */
      /* aponta para um caractere adiante de '\0' */
      /* e  preciso faz-lo retroceder           */
   destino--;

      /* Copia cada caractere do string */
      /* origem no array destino        */
   while (*destino++ = *origem++)
      ; /* No h mais nada a fazer */

   return inicioDestino;
}

int main(void)
{
   char  ar[10] = "Boa ";
   char *ptr = "bola";

   printf("\nPrimeiro string ANTES: \"%s\"", ar);
   printf("\nSegundo string: \"%s\"\n", ptr);

   ConcatenaStrings(ar, ptr);
   printf("\nPrimeiro string DEPOIS: \"%s\"\n", ar);

   return 0;
}

/****************** Resultado do Programa *****************

Primeiro string ANTES: "Boa "
Segundo string: "bola"

Primeiro string DEPOIS: "Boa bola"

**********************************************************/
