/****
 *
 * Exemplo: Funo strchr()
 *
 * Seo: 8.5.8
 *
 ****/

#include <stdio.h>
#include <string.h>

int main(void)
{
   char *str1 = "Isso e' um teste";
   char *str2 = "Bola";
   char *posicao;
   int   c = 't';

   posicao = strchr(str1, c);

   if (!posicao) {
      printf( "\nO caractere \'%c\' nao foi encontrado "
              "em \"%s\"\n", c, str1 );
   } else {
      printf( "\nConteudo de \"%s\" a partir do primeiro "
              "\ncaractere \'%c\': \"%s\"\n", str1, c, posicao );
   }

   posicao = strchr(str2, c);

   if (!posicao) {
      printf( "\nO caractere \'%c\' nao foi encontrado "
              "em \"%s\"\n", c, str2 );
   } else {
      printf( "\nConteudo de \"%s\" a partir do primeiro "
              "caractere \'%c\': \"%s\"\n", str2, c, posicao );
   }

   return 0;
}

/****************** Resultado do Programa *****************

Conteudo de "Isso e' um teste" a partir do primeiro
caractere 't': "teste"

O caractere 't' nao foi encontrado em "Bola"

**********************************************************/
