/****
 *
 * Exemplo: Funo strchr()
 *
 * Seo: 8.5.8
 *
 ****/

#include <stdio.h>
#include <string.h>

void ExibeStringInvertido(const char *str)
{
   char *ptr;

      /* Faz 'ptr' apontar para o caractere terminal do string */
   ptr = strchr(str, '\0');


   putchar('\"'); /* Escreve as aspas iniciais do string */

      /* Escreve cada caractere a partir do caractere */
      /* que antecede '\0' at o primeiro caractere   */
   while (ptr != str) {
         /* Escreve o caractere anterior quele  */
         /* para onde 'ptr' aponta correntemente */
      putchar(*--ptr);
   }

   putchar('\"'); /* Escreve as aspas finais do string */
}

int main(void)
{
   char *str = "Roma";

   printf( "\nString original: \"%s\"", str);
   printf( "\nString invertido: ");
   ExibeStringInvertido(str);

   return 0;
}

/****************** Resultado do Programa *****************

String original: "Roma"
String invertido: "amoR"

**********************************************************/
