/****
 *
 * Exemplo: Funes com Retorno de Estruturas
 *
 * Seo: 9.5.2
 *
 * NB: Este programa contm um erro intencional
 *
 ****/

#include <stdio.h>   /* Entrada e sada */
#include "leitura.h" /* LeituraFacil    */

#define MAX_NOME 30

typedef  struct  {
            char  nome[MAX_NOME];
            int   dia, mes, ano;
         } tRegistro;

void ExibeRegistro(const tRegistro *ptrRegistro)
{
   printf("Nome: %s\n", ptrRegistro->nome);
   printf( "Nascimento: %d/%d/%d\n",
           ptrRegistro->dia, ptrRegistro->mes, ptrRegistro->ano );
}

tRegistro *LeRegistro3(void)
{
   tRegistro registroZumbi;

   printf("\nNome (max = %d letras): ", MAX_NOME - 1);
   LeString(registroZumbi.nome, MAX_NOME);

   printf("\nDia de nascimento: ");
   registroZumbi.dia = LeInteiro();

   printf("\nMes de nascimento: ");
   registroZumbi.mes = LeInteiro();

   printf("\nAno de nascimento: ");
   registroZumbi.ano = LeInteiro();

   return &registroZumbi; /* Retorno de zumbi */
}

int main(void)
{
   tRegistro *ptrPessoa1, *ptrPessoa2;

   ptrPessoa1 = LeRegistro3();

   printf("\n\n***** Dados da primeira pessoa *****\n\n");
   ExibeRegistro(ptrPessoa1);

   ptrPessoa2 = LeRegistro3();

   printf("\n\n***** Dados da segunda pessoa *****\n\n");
   ExibeRegistro(ptrPessoa2);

   return 0;
}

/******************* Exemplo de Execuo *******************

Nome (max = 29 letras): Jose da Silva

Dia de nascimento: 25

Mes de nascimento: 12

Ano de nascimento: 1971


***** Dados da primeira pessoa *****

Nome: Jose da "
Nascimento: 2293492/12/2293556

Nome (max = 29 letras): Manoel da Silva

Dia de nascimento: 22

Mes de nascimento: 2

Ano de nascimento: 1980


***** Dados da segunda pessoa *****

Nome: Manoel d"
Nascimento: 2293492/2/2293556

***********************************************************/
