/****
 *
 * Exemplo: Iniciadores Designados
 *
 * Seo: 9.8
 *
 ****/

#include <stdio.h>

typedef struct  {
           int  dia, mes, ano;
        } tData;

typedef struct  {
           char   nome[30];
           tData  nascimento;
        } tRegistro2;

typedef union {
           int    unidades;
           double peso;
        } tQuantidade;

int main(void)
{
   tRegistro2   pessoa = { "Jose da Silva",
                           .nascimento.ano = 1960 };
   tQuantidade  quantidade = {.peso = 1.5};

   pessoa.nascimento.dia = 12;
   pessoa.nascimento.mes = 10;

   printf("\n\n***** Usando pessoa *****\n\n");

   printf("Nome: %s\n", pessoa.nome);
   printf( "Nascimento: %d/%d/%d\n", pessoa.nascimento.dia,
           pessoa.nascimento.mes, pessoa.nascimento.ano );

   printf("\n\n***** Usando quantidade *****\n\n");
   printf("Quantidade: %3.2f Kg\n", quantidade.peso);

   return 0;
}

/****************** Resultado do Programa ******************

***** Usando pessoa *****

Nome: Jose da Silva
Nascimento: 12/10/1960


***** Usando quantidade *****

Quantidade: 1.50 Kg

***********************************************************/
