/****
 *
 * Exemplo: Uso de Laos de Repetio em Leitura de Dados
 *
 * Seo: 11.9.5
 *
 ****/

#include <stdio.h>

void LimpaBuffer(void)
{
   int c; /* Caractere lido */

   do {
      c = getchar();
   } while (c != '\n' && c != EOF);
}

int LeInteiro2(void)
{
   int oInteiro, nValoresLidos;

      /* Tenta ler um valor inteiro */
   nValoresLidos = scanf("%d", &oInteiro);

      /* Enquanto o usurio no digitar um  */
      /* valor esperado, o lao no encerra */
   while (nValoresLidos != 1) {/* Nenhum inteiro foi lido */
         /* Se scanf() retornou EOF no h caracteres  */
         /* a serem removidos. Caso contrrio, haver. */
      if (nValoresLidos != EOF) {
         LimpaBuffer();
      }

         /* Faz mais uma tentativa de leitura */
      printf("\a\nValor incorreto.\nDigite um valor inteiro: ");
      nValoresLidos = scanf("%d", &oInteiro);
   }

      /* Deixa o buffer limpo antes de retornar */
   LimpaBuffer();

   return oInteiro;
}

int main(void)
{
   int  umInt, outroInt;

      /* L o primeiro valor */
   printf("\nDigite um valor inteiro: ");
   umInt = LeInteiro2();

      /* L o segundo valor */
   printf("\nDigite outro valor inteiro: ");
   outroInt = LeInteiro2();

   printf( "\n\t>>> %d + %d = %d\n",
           umInt, outroInt, umInt + outroInt );

   return 0;
}

/******************* Exemplo de Execuo ******************

Digite um valor inteiro: XY123

Valor incorreto.
Digite um valor inteiro: 123XY

Digite outro valor inteiro: 321

        >>> 123 + 321 = 444

**********************************************************/
