/****
 *
 * Exemplo: Uso de Laos de Repetio em Leitura de Dados
 *
 * Seo: 11.9.5
 *
 ****/

#include <stdio.h>

int LimpaBuffer2(void)
{
   int carLido, /* Armazena cada caractere lido */
       nCarLidos = 0; /* Conta o nmero de caracteres lidos */

      /* L e descarta cada caractere lido at    */
      /* encontrar '\n' ou getchar() retornar EOF */
   do {
      carLido = getchar(); /* L um caractere */
      ++nCarLidos; /* Mais um caractere foi lido */
   } while ((carLido != '\n') && (carLido != EOF));

      /* O ltimo caractere lido foi '\n' ou  */
      /* EOF e no deve ser considerado sobra */
   return nCarLidos - 1;
}

int LeInteiro3(void)
{
   int oInteiro, nValoresLidos, resto;

inicio: /* Desvia para c para fazer uma nova tentativa */
      /* Tenta ler um valor inteiro */
   nValoresLidos = scanf("%d", &oInteiro);

      /* Se scanf() retornou EOF no h caracteres  */
      /* a serem removidos. Caso contrrio, haver. */
   if (nValoresLidos != EOF) {
      resto = LimpaBuffer2();
   }

      /* Enquanto o usurio no digitar um  */
      /* valor esperado, o lao no encerra */
   while (nValoresLidos != 1 || resto) {
         /* Faz mais uma tentativa de leitura */
      printf("\a\nValor incorreto.\nDigite um valor inteiro: ");
      goto inicio;
   }

   return oInteiro;
}

int main(void)
{
   int  umInt, outroInt;

      /* L o primeiro valor */
   printf("\nDigite um valor inteiro: ");
   umInt = LeInteiro3();

      /* L o segundo valor */
   printf("\nDigite outro valor inteiro: ");
   outroInt = LeInteiro3();

   printf( "\n\t>>> %d + %d = %d\n",
           umInt, outroInt, umInt + outroInt );

   return 0;
}

/******************* Exemplo de Execuo ******************

Digite um valor inteiro: XY123

Valor incorreto.
Digite um valor inteiro: 123XY

Valor incorreto.
Digite um valor inteiro: 123

Digite outro valor inteiro: 321

        >>> 123 + 321 = 444

**********************************************************/
