/****
 *
 * Exemplo: Leitura de Strings via Teclado: scanf()
 *
 * Seo: 11.9.6
 *
 * Descrio: Especificao de caracteres aceitos por scanf()
 *
 ****/

#include <stdio.h>

int main(void)
{
   char str[5]; /* 5  um nmero tirado da cartola */

   printf("\nDigite uma palavra contendo vogais: ");

      /* So aceitas apenas vogais minsculas */
   scanf("%4[aeiou]", str);

   printf("Palavra aceita: \"%s\"\n", str);

   return 0;
}

/******************* Exemplos de Execuo ******************

Exemplo 1:
=========

Digite uma palavra contendo vogais: bao
Palavra aceita: ""

Exemplo 2:
=========

Digite uma palavra contendo vogais: aob
Palavra aceita: "ao"

Exemplo 3:
=========

Digite uma palavra contendo vogais: auiaaaiiiaauuooee
Palavra aceita: "auia"

***********************************************************/
