/****
 *
 * Exemplo: Leitura de Strings via Teclado: fgets()
 *
 * Seo: 11.9.6
 *
 ****/

#include <stdio.h>

int main(void)
{
   char nome[30], *p;

   printf("\nDigite seu nome (maximo de 29 letras)\n\t> ");
   p = fgets(nome, 30, stdin);

   if (!p) {
      printf("\nErro de leitura\n");
      return 1;
   }

   printf("\nSeu nome e': %s\n", nome);

   return 0;
}

/******************* Exemplos de Execuo ******************

Exemplo 1:
=========

Digite seu nome (maximo de 29 letras)
        > Pedro de Alcantara Francisco Antonio Joao Carlos
Xavier de Paula Miguel Rafael Joaquim Jose Gonzaga Pascoal
Cipriano Serafim de Braganca e Bourbon

Seu nome e': Pedro de Alcantara Francisco

Exemplo 2:
=========

Digite seu nome (maximo de 29 letras)
        > ^Z

Erro de leitura

**********************************************************/
