/****
 *
 * Exemplo: Desrespeito aos Limites de Arrays
 *
 * Seo: D.9.1
 *
 * Observao: Este programa provavelmente ser abortado
 *
 ****/

#include <stdio.h>
#include <string.h>
#include <ctype.h>

/****
 *
 * RemoveBrancosFinais(): Remove espaos em brancos ao final
 *                        de um string
 *
 * Parmetro: str (sada) - string cujos espaos sero
 *                          removidos
 *
 * Retorno: Endereo do string sem espaos em branco finais
 *
 ****/
char *RemoveBrancosFinais(char *str)
{
      /* Faz p est apontar para o  */
      /* ltimo caractere do string */
   char *p = strchr(str, '\0') - 1;

      /* Substitui cada caractere considerado */
      /* espao em branco por '\0'            */
   while(isspace(*p))
      *p-- = '\0';

   return str;
}

int main(void)
{
   char s1[] = "bola      ";
   char s2[] = "          ";
   char s3[] = "";

   printf("String \"%s\" sem espacos finais: ", s1);
   printf("\"%s\"\n", RemoveBrancosFinais(s1) );

   printf("String \"%s\" sem espacos finais: ", s2);
   printf("\"%s\"\n", RemoveBrancosFinais(s2) );

      /* O programa ser certamente    */
      /* abortado antes de chegar aqui */

   printf("String \"%s\" sem espacos finais: ", s3);
   printf("\"%s\"\n", RemoveBrancosFinais(s3) );

   return 0;
}

/******************* Exemplo de Execuo ******************

String "bola      " sem espacos finais: "bola"
String "          " sem espacos finais: ""
String "" sem espacos finais: ""

**********************************************************/
