/****
 *
 * Exemplo: Overflow e Underflow
 *
 * Seo: D.12.3
 *
 * Descrio: Overflow de nmeros reais
 *
 ****/

#include <stdio.h>
#include <float.h>
#include <math.h>

int main(void)
{
   double umDouble = 2*DBL_MAX;

   if (umDouble >= HUGE_VAL) {
      printf ("\nOcorreu overflow\n");
   }

   printf ("Valor de umDouble: %f\n", umDouble);

   return 0;
}

/******************* Exemplo de Execuo ******************

Ocorreu overflow
Valor de umDouble: 1.#INF00

**********************************************************/
