/****
 *
 * Exemplo: Variveis Definidas em Laos de Repetio
 *
 * Seo: D.15.3
 *
 ****/

#include <stdio.h>
#include "leitura.h"

int SomaAteN(int n)
{
   while (--n) {
      int soma = 0;

      soma = soma + n;
   }

   return soma;
}

int main(void)
{
   int n;

   printf("\nDigite um inteiro postivo: ");
   if ((n = LeInteiro()) <= 0) {
      return 1;
   }

   printf( "\nSoma dos inteiros entre 1 e %d: %d\n",
           n, SomaAteN(n) );

   return 0;
}

/****************** Exemplo de Compilao ******************

error: 'soma' undeclared (first use in this function)
note: each undeclared identifier is reported only once for
      each function it appears in
warning: control reaches end of non-void function

***********************************************************/
