/****
 *
 * Exemplo: Prtica de Erros 1
 *
 * Seo: 3.18.7
 *
 ****/

#include <stdio.h>

int main(void)
{
   int x = 10, y = 2;

   printf("x/y = %d", x/y);
}

/*******************************************************************

Erro: Ponto-e-vrgula ao final da diretiva #include
Mensagem (Adv): 1:19 C:\TestesErros1.c [Warning] extra tokens at end of #include directive [enabled by default]
Consequencia: nenhuma

Erro: main sem parteses
Mensagem: 1 C:\TestesErros1.c:4 expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
Consequencia: Programa no  compilado

Erro: Falta ponto-e-vrgula aps definio de variveis
Mensagens: 4 C:\TestesErros1.c:7 expected ',' or ';' before 'printf'
          5:16 C:\TestesErros1.c [Warning] unused variable 'y' [-Wunused-variable]
          5:8 C:\TestesErros1.c [Warning] unused variable 'x' [-Wunused-variable]
Consequencia: Programa no  compilado

Erro: Ponto-e-vrgula em vez de vrgula na definio de variveis
Mensagem:  C:\TestesErros1.c In function 'main':
           16 C:\TestesErros1.c:5 'y' undeclared (first use in this function)
Consequencia: Programa no  compilado

Erro: String sem aspas em printf na direita (observe a mudana de colorao do string ao deixar de ser string)
C:\TestesErros1.c||In function 'main':|
C:\TestesErros1.c|7|warning: missing terminating " character [enabled by default]|
C:\TestesErros1.c|7|error: missing terminating " character|
C:\TestesErros1.c|9|error: expected expression before 'return'|
C:\TestesErros1.c|10|error: expected ';' before '}' token|
C:\TestesErros1.c|5|warning: unused variable 'y' [-Wunused-variable]|
C:\TestesErros1.c|5|warning: unused variable 'x' [-Wunused-variable]|
C:\TestesErros1.c|10|warning: control reaches end of non-void function [-Wreturn-type]
Consequencia: Programa no  compilado

Erro: String sem aspas em printf (observe a mudana de colorao do string ao deixar de ser string)
Mensagem: C:\TestesErros1.c In function 'main':
          11 C:\TestesErros1.c:7 'Resultado' undeclared (first use in this function)
          21 C:\TestesErros1.c:7 expected ')' before 'da'
          5:16 C:\TestesErros1.c [Warning] unused variable 'y' [-Wunused-variable]
          5:8 C:\TestesErros1.c [Warning] unused variable 'x' [-Wunused-variable]
Consequencia: Programa no  compilado

Erro: Ausncia de { aps main()
Mensagens: C:\TestesErros1.c In function 'main':
           4 C:\TestesErros1.c:5 parameter 'x' is initialized
           4 C:\TestesErros1.c:5 parameter 'y' is initialized
           4 C:\TestesErros1.c:7 expected declaration specifiers before 'printf'
           4 C:\TestesErros1.c:9 expected declaration specifiers before 'return'
           1 C:\TestesErros1.c:10 expected declaration specifiers before '}' token
           16 C:\TestesErros1.c:5 declaration for parameter 'y' but no such parameter
           8 C:\TestesErros1.c:5 declaration for parameter 'x' but no such parameter
           1 C:\TestesErros1.c:10 expected '{' at end of input
Consequencia: Programa no  compilado

Erro: Troca de { por } aps main() [Este erro de digitao  bastante comum dvido
 proximidade das teclas "{" e "}" nas configuraes de teclado nacionais]
Mensagens: C:\TestesErros1.c In function 'main':
           1 C:\TestesErros1.c:4 expected declaration specifiers before '}' token
           4 C:\TestesErros1.c:5 parameter 'x' is initialized
           4 C:\TestesErros1.c:5 parameter 'y' is initialized
           4 C:\TestesErros1.c:7 expected declaration specifiers before 'printf'
           4 C:\TestesErros1.c:9 expected declaration specifiers before 'return'
           1 C:\TestesErros1.c:10 expected declaration specifiers before '}' token
           16 C:\TestesErros1.c:5 declaration for parameter 'y' but no such parameter
           8 C:\TestesErros1.c:5 declaration for parameter 'x' but no such parameter
           1 C:\TestesErros1.c:10 expected '{' at end of input
Consequencia: Programa no  compilado

Erro: Ausncia de } ao final da funo main()
Mensagens: C:\TestesErros1.c In function 'main':
           4 C:\TestesErros1.c:9 expected declaration or statement at end of input
Consequencia: Programa no  compilado

Erro: Troca de " por ' em printf()
Mensagens:  C:\TestesErros1.c In function 'main':
            7:11 C:\TestesErros1.c [Warning] character constant too long for its type [enabled by default]
            7:4 C:\TestesErros1.c [Warning] passing argument 1 of 'printf' makes pointer from integer without a cast [enabled by default]
            7:4 C:\TestesErros1.c expected 'const char *' but argument is of type 'int'
Consequencia: Programa no  compilado

Erro: Atribuio de 0 a y para provocar diviso por zero
Mensagens: Nenhuma
Consequencia: Programa  compilado, mas  abortado

Erro: Troca de especificador de formato em printf() com %f
Mensagens: C:\MyBooks\IntroC\Exemplos\TestesErros1.c||In function 'main':|
C:\MyBooks\TestesErros1.c|7|warning: format '%f' expects argument of type 'double', but argument 2 has type 'int' [-Wformat]
Consequencia: Programa  compilado, e aparentemente executado normalmente (mas no h garantia)

Erro: Ausncia de return na funo main()
Mensagens: C:\MyBooks\IntroC\Exemplos\TestesErros1.c||In function 'main':|
C:\MyBooks\IntroC\Exemplos\TestesErros1.c|10|warning: control reaches end of non-void function [-Wreturn-type]
Consequencia: O programa  compilado, mas esta mensagem de advertncia deve ser levada a srio.

********************************************************************/
