/****
 *
 * Ttulo: Multiplicando Duas Fraes
 *
 * Autor: Ulysses de Oliveira
 *
 * Data de Criao: 16/06/2012
 * ltima modificao: 16/06/2012
 *
 * Descrio: L e multiplica duas fraes
 *
 * Entrada: Valores inteiros representado os numeradores
 *          e denominadores das fraes
 *
 * Sada: O resultado da multiplicao
 *
 ****/

#include <stdio.h>   /* Entrada e sada */
#include "leitura.h" /* LeituraFacil    */

/****
 *
 * main(): L e multiplica duas fraes
 *
 * Parmetros: Nenhum
 *
 * Retorno: Zero
 *
 ****/
int main(void)
{
   int n1, d1, /* Numerador e denominador da    */
       n2, d2; /* primeira e da segunda fraes */

      /* Apresenta o programa */
   printf("\n\t>>> Este programa multiplica duas fracoes\n");

   printf("\nDigite o numerador da primeira fracao: ");
   n1 = LeInteiro();

   printf("\nDigite o denominador da primeira fracao: ");
   d1 = LeInteiro();

   printf("\nDigite o numerador da segunda fracao: ");
   n2 = LeInteiro();

   printf("\nDigite o denominador da segunda fracao: ");
   d2 = LeInteiro();

   printf( "\nResultado: %d/%d * %d/%d = %d/%d = %3.2f\n",
           n1, d1, n2, d2,  n1*n2, d1*d2,
           (double) (n1*n2)/(d1*d2) );

   return 0;
}

/******************* Exemplo de Execuo ******************

        >>> Este programa multiplica
        >>> duas fracoes.

Digite o numerador da primeira fracao: 2

Digite o denominador da primeira fracao: 3

Digite o numerador da segunda fracao: 5

Digite o denominador da segunda fracao: 7

Resultado: 2/3 * 5/7 = 10/21 = 0.48

**********************************************************/
