/****
 *
 * Exemplo: Uso de break para encerrar um lao while
 *
 * Seo: 4.7.1
 *
 ****/

#include <stdio.h>
#include "leitura.h"

int main(void)
{
   char opcao;

   while (1) {
      printf( "\n\n*** Opcoes ***\n"
              "\nA - Opcao A"
              "\nB - Opcao B"
              "\nC - Opcao C"
              "\nD - Opcao D"
              "\nE - Encerra o programa" );

      printf("\n\nEscolha uma das opcoes disponiveis: ");
      opcao = LeCaractere();

         /* Se o usurio escolher a */
         /* opo E, encerra o lao */
      if (opcao == 'E' || opcao == 'e') {
         break; /* Encerra o lao while */
      }

      switch (opcao) {
         case 'A':
         case 'a':
            printf("\nVoce escolheu a opcao A");
            break;
         case 'B':
         case 'b':
            printf("\nVoce escolheu a opcao B");
            break;
         case 'C':
         case 'c':
            printf("\nVoce escolheu a opcao C");
            break;
         case 'D':
         case 'd':
            printf("\nVoce escolheu a opcao D");
            break;
         default:
            printf("\nVoce nao escolheu uma opcao valida");
            break;
      } /* switch */
   } /* while */

      /* Despede-se do usurio */
   printf( "\n\t>>> Obrigado por usar este programa.\n");

   return 0;
}

/******************* Exemplo de Execuo *******************

*** Opcoes ***

A - Opcao A
B - Opcao B
C - Opcao C
D - Opcao D
E - Encerra o programa

Escolha uma das opcoes disponiveis: a

Voce escolheu a opcao A

*** Opcoes ***

A - Opcao A
B - Opcao B
C - Opcao C
D - Opcao D
E - Encerra o programa

Escolha uma das opcoes disponiveis: u

Voce nao escolheu uma opcao valida

*** Opcoes ***

A - Opcao A
B - Opcao B
C - Opcao C
D - Opcao D
E - Encerra o programa

Escolha uma das opcoes disponiveis: e

        >>> Obrigado por usar este programa.

***********************************************************/
