/****
 *
 * Ttulo: Nmeros Iguais s Somas dos Cubos de
 *         seus Dgitos
 *
 * Autor: Ulysses de Oliveira
 *
 * Data de Criao: 16/07/2012
 * ltima modificao: 16/07/2012
 *
 * Descrio: Encontra os nmeros entre 100 e 999 que so
 *            iguais s somas dos quadrados de seus dgitos
 *
 * Entrada: No h
 *
 * Sada: Os nmeros encontrados
 *
 ****/

#include <stdio.h>

/****
 *
 * main(): Encontra os nmeros entre 100 e 999 que so
 *         iguais s somas dos cubos de seus dgitos
 *
 * Parmetros: Nenhum
 *
 * Retorno: Zero
 *
 ****/
int main(void)
{
   int numero,  /* O nmero a ser testado */
       centena, /* A centena do nmero */
       dezena,  /* A dezena do nmero  */
       unidade, /* A unidade do nmero */
       somaCubos; /* A soma dos cubos de centena, */
                  /* dezena e unidade             */

      /* Apresenta o programa */
   printf( "\n\t>>> Este encontra os numeros entre 100"
           "\n\t>>> e 999 que sao iguais as somas dos"
           "\n\t>>> cubos de seus digitos:\n" );

      /* Considera cada trinca constituda de      */
      /* centena, dezena e unidade que compe um   */
      /* nmero inteiro entre 100 e 999 e verifica */
      /* se a soma dos componentes da trinca      */
      /* igual ao nmero formado por ela.          */
   for(centena = 1; centena <= 9; centena++) {
      for(dezena = 0; dezena <= 9; dezena++) {
         for(unidade = 0; unidade <= 9; unidade++) {
               /* Calcula a soma dos cubos dos */
               /* componentes da trinca        */
            somaCubos = centena*centena*centena +
                        dezena*dezena*dezena +
                        unidade*unidade*unidade;

               /* Determina qual  o nmero */
               /* formado pela trinca       */
            numero = 100*centena + 10*dezena + unidade;

               /* Verifica se o nmero  igual  */
               /* soma dos componentes da trinca */
            if(numero == somaCubos) {
                printf("\n\t>>> %d", numero);
            }
         }
      }
   }

   return 0;
}

/****************** Resultado do programa ******************

        >>> Este encontra os numeros entre 100
        >>> e 999 que sao iguais as somas dos
        >>> cubos de seus digitos:

        >>> 153
        >>> 370
        >>> 371
        >>> 407

***********************************************************/
