/****
 *
 * Exemplo: Escopo de bloco vs. escopo de funo
 *
 * Seo: 5.13.4
 *
 * Observao: Este programa no compila
 *
 ****/

#include <stdio.h>

int UmaFuncao(int x)
{
   int y = z + 1, /* ILEGAL: Uso de z fora de seu escopo */
       z = 2; /* O escopo de z comea aqui */

   if (z < 10.0)
      goto umRotulo;

umRotulo: /* O rtulo  declarado aqui, mas seu escopo */
          /* comea no incio do corpo da funo       */
   z = x + y;

   /* ... */

   return 0;
}

int OutraFuncao(int x)
{
   {
      double x = 2.5; /* Perfeitamente legal */
   }
   /* ... */
   return 0;
}

int main (void)
{
    return 0;
}

/****************** Resultado do Programa *****************

No compila

**********************************************************/
