/****
 *
 * Ttulo: Tabuada de Multiplicao
 *
 * Autor: Ulysses de Oliveira
 *
 * Data de Criao: 16/06/2012
 * ltima modificao: 16/06/2012
 *
 * Descrio: Apresenta uma tabuada de multiplicao na tela
 *
 * Entrada: No h
 *
 * Sada: A referida tabuada
 *
 ****/

#include <stdio.h>

#define N_LINHAS  5
#define N_COLUNAS 5

/****
 *
 * main(): Apresenta uma tabuada de multiplicao na tela
 *
 * Parmetros: Nenhum
 *
 * Retorno: Zero
 *
 ****/
int main(void)
{
   int i, j;

      /* Apresenta o programa ao usurio */
   printf( "\n>>> Este programa exibe uma tabuada de "
           "multiplicacao\n\n" );

      /* Desenha a linha superior da tabuada */
   printf("  X |\t");
   for (i = 1; i <= N_COLUNAS; ++i) {
      printf("%3d\t", i);
   }

      /* Um pouco de embelezamento */
   printf("\n ---|---------------------------------------");

   for (j = 1; j <= N_LINHAS; ++j) {
         /* Escreve primeira coluna da prxima linha */
      printf("\n%3d |\t", j);

         /* Escreve as demais colunas da linha corrente */
      for (i = 1; i <= N_COLUNAS; ++i) {
         printf("%3d\t", i*j);
      }
   }

   putchar('\n'); /* Embelezamento apenas */

   return 0;
}

/****************** Resultado do Programa ******************

>>> Este programa exibe uma tabuada de multiplicacao

  X |     1       2       3       4       5
 ---|---------------------------------------
  1 |     1       2       3       4       5
  2 |     2       4       6       8      10
  3 |     3       6       9      12      15
  4 |     4       8      12      16      20
  5 |     5      10      15      20      25

***********************************************************/
