/****
 *
 * Exemplo: Array de durao fixa vs.
 *          array de durao automtica
 *
 * Seo: 7.4.2
 *
 ****/

#include <stdio.h>
#include <math.h>

int main(void)
{
   double        x = 2.54, y = 1.6;
   static double ar[4] = { sqrt(2), 2*x, x + y, sqrt(5) };

   for (int i = 0; i < 4; ++i) {
      printf("\nar[%d] = %3.2f", i, ar[i]);
   }

   return 0;
}

/****************** Exemplo de Compilao ******************

error: initializer element is not constant

***********************************************************/
