/****
 *
 * Exemplo: Transformao de Caracteres: toupper()
 *
 * Seo: 8.7.2
 *
 * Observao: Este programa contm um erro e ser abortado
 *
 ****/

#include <stdio.h>
#include <ctype.h>

/****
 *
 * ConverteEmMaiusculas(): Converte as letras de um string em
 *                         maisculas. Caracteres que no so
 *                         letras no so afetados.
 *
 * Parmetros: str (entrada/sada): o string
 *
 * Retorno: O endereo do string recebido como parmetro
 *
 ****/
char* ConverteEmMaiusculas(char *str)
{
   char *p = str; /* Guarda incio do string */

      /* Converte em maiscula cada caractere que  letra */
   while (*str) {
      *str = toupper(*str); /* Converte caractere atual */
      ++str; /* Passa para o prximo caractere */
   }

   return p; /* Retorna o endereo do string */
}

int main(void)
{
   char        s1[] = "Zebra";
   const char *s2 = "anta";

   printf( "\nString \"%s\"", s1 );

   printf( "convertido em maiusculas: \"%s\"\n",
           ConverteEmMaiusculas(s1) );

   printf( "\nString \"%s\"", s2 );

      /* A instruo a seguir gera uma grave advertncia */
   printf( "convertido em maiusculas: \"%s\"\n",
           ConverteEmMaiusculas(s2) );

   return 0;
}

/****************** Resultado do Programa *****************

Clang (Mac OS X):
================

Secao8_7_2_3.c:41:33: warning: passing 'const char *' to
parameter of type 'char *' discards qualifiers
           ConverteEmMaiusculos(s2) );
                                ^~
Secao8_7_2_3.c:15:34: note: passing argument to parameter
'str' here
char *ConverteEmMaiusculos(char *str)
                                 ^

String "Zebra"convertido em maiusculas: "ZEBRA"

Bus error: 10

**********************************************************/
