/****
 *
 * Exemplo: Esvaziamento do Buffer de Entrada
 *
 * Seo: 11.9.4
 *
 ****/

#include <stdio.h>

void LimpaBuffer(void)
{
   int c; /* Caractere lido */

   do {
      c = getchar();
   } while (c != '\n' && c != EOF);
}

int main(void)
{
   int umChar;

   printf("\nDigite um caractere: ");
   umChar = getchar();

      /* Verifica se foi lido algum caractere */
      /* e, se for o caso, limpa o buffer     */
   if (umChar !=  EOF) {
      LimpaBuffer();
   }

   printf("\nDigite outro caractere: ");
   umChar = getchar();

   return 0;
}

/******************* Exemplo de Execuo ******************

Digite um caractere: A

Digite outro caractere: B

**********************************************************/
